Add a position
POST
A holder is a hire (hireId), a person (userId and/or chat), or nobody. 400 for a circle of managers, a second lead in a department, a hire already in a position, or a holder that is both a hire and a person.
sessioncookie
better-auth.session_token<token>Set by POST /api/auth/sign-in/email.
ws*stringThe workspace id (from GET /api/me).
application/json- body
title*stringLength
1 <= length <= 120departmentId?|Default
nullmanagerPositionId?|Default
nullleadsDepartment?booleanDefault
falsehireId?|Default
nulluserId?|Default
nullchat?|Default
nullgoalMode?stringDefault
"manager_sets"Value in
"manager_sets""report_proposes""report_sets"monthlyHours?|Default
nullThe position.
curl -X POST 'https://app.useroster.work/api/workspaces/string/positions' \ -H 'Content-Type: application/json' \ -d '{ "title": "string"}'Example Response
Empty